Package org.apache.lucene.codecs.uniformsplit

## Interface BlockEncoder.WritableBytes

- Enclosing interface:
    BlockEncoder

      public static interface BlockEncoder.WritableBytes

  Writable byte buffer.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `size()` | Gets the number of bytes.
    `void` | `writeTo​(DataOutput dataOutput)` | Writes the bytes to the provided `DataOutput`.

- - ### Method Detail

    - #### size

          long size()

      Gets the number of bytes.

    - #### writeTo

          void writeTo​(DataOutput dataOutput)
                throws IOException

      Writes the bytes to the provided `DataOutput`.
      Throws:
        `IOException`